Setup
get
Return preflight details for customer to setup cloud credentials
π Requires the read:vendor permission
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
vendorstring Β· uuidOptional
The vendor ID e.g. 33c38d5b-0a1e-4ea0-9c61-e0f7b00868d2
Responses
200
Preflight details of a customer
application/json
Preflight details of a customer
cloud_providerstring Β· enumRequiredPossible values:
arnstringRequired
template_urlstringRequired
external_idstringRequired
organizationstringRequired
stack_namestringRequired
400
Failed to get preflight script
application/json
401
Failed to authenticate user
application/json
403
Missing required scopes. π Requires the read:vendor permission
application/json
404
Preflight vendor not found
application/json
429
Too many requests
application/json
get/api/v1/setup/preflight
GET /api/v1/setup/preflight HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"cloud_provider": "aws",
"arn": "text",
"template_url": "text",
"external_id": "text",
"organization": "text",
"stack_name": "text"
}Last updated